# If not provided by a system installed macro, define
%{!?__python2: %global __python2 /usr/bin/python2}

%if %{_vendor} == "debbuild"
%global pyinstflags --no-compile -O0
%global pytargetflags --install-layout=deb
%else
%global pyinstflags -O1
%global pytargetflags %{nil}
%endif

%{!?py2_build: %global py2_build CFLAGS="%{optflags}" %{__python2} setup.py build}
%{!?py2_install: %global py2_install %{__python2} setup.py install %{?pyinstflags} --skip-build --root %{buildroot} %{?pytargetflags}}

%if %{undefined python2_sitelib}
%global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
%endif

%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8 || 0%{?suse_version} >= 1330
%global python2_pkgversion 2
%else
%global python2_pkgversion %{nil}
%endif

# On Fedora 25+, enable the python distdeps generator for requires
# See https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages
%if 0%{?fedora} >= 25
%global __python_requires %{_rpmconfigdir}/pythondistdeps.py --requires
%endif


# User "--with devmode" on rpmbuild/debbuild to enable devmode
# like so: "debbuild -bb --with devmode vmscripts.spec"
%bcond_with devmode


Name:           obsctl
Version:        0.1.5
Release:        1%{?dist}
Summary:        A CLI for OBS packaging and deploys
Url:            https://gitlab.datto.net/DevOps/obsctl
%if ! %{with devmode}
Source0:        %{name}-%{version}.tar.gz
%else
Source0:        %{name}.tar.gz
%endif
%if %{_vendor} == "debbuild" || %{_vendor} == "suse"
License:        GPL-2.0+
%else
License:        GPLv2+
%endif

%if %{_vendor} == "debbuild"
Packager:       Mark Bluemer <mbluemer@datto.com>
Group:          devel
%else
Group:          Development/Tools%{?suse_version:/Other}
%endif

BuildArch: noarch

%if %{_vendor} == "debbuild"
BuildRequires:  python%{python2_pkgversion}-dev
BuildRequires:  python%{python2_pkgversion}-wheel
%else
BuildRequires:  python%{python2_pkgversion}-devel
%endif

BuildRequires:  python%{python2_pkgversion}-setuptools
BuildRequires:  python%{python2_pkgversion}-click
BuildRequires:  python%{python2_pkgversion}-pathlib
BuildRequires:  osc

Requires:       python%{python2_pkgversion}-click
Requires:       python%{python2_pkgversion}-pathlib
Requires:       osc


%description
This is a command line interface to simplify the packaging and deploy process
for packages built in the openSUSE Open Build Service. This utility functions
in a non-interactive manner allowing it to be utilized in continuous integration
and continuous deployment infrastructure.

%prep
%if ! %{with devmode}
%autosetup -n %{name}-%{version}
%else
%autosetup -n %{name}
%endif

%build
%py2_build


%install
%py2_install


mkdir -p %{buildroot}%{_sysconfdir}/obsctl
%if %{_vendor} != "debbuild"
touch %{buildroot}%{_sysconfdir}/obsctl/obsauth.json
%endif

%if %{_vendor} == "debbuild"
touch %{buildroot}%{_sysconfdir}/obsctl/.keep
%endif

%files
%license COPYING
%dir %{_sysconfdir}/obsctl
%if %{_vendor} == "debbuild"
%{_sysconfdir}/obsctl/.keep
%else
%ghost %{_sysconfdir}/obsctl/obsauth.json
%endif
%{_bindir}/obsctl
%{python2_sitelib}/obsctl-*.egg-info
%{python2_sitelib}/obsctl


%changelog
* Tue Nov 14 2017 Mark Bluemer <mbluemer@datto.com> - 0.1.5
- bump version with addition of CI

* Mon Nov 13 2017 Neal Gompa <ngompa@datto.com> - 0.1.4
- Fix local definition of python2_sitelib

* Mon Nov 13 2017 Neal Gompa <ngompa@datto.com> - 0.1.3
- Consistently use python2_pkgversion macro in spec
- Fix ghost file entry typo
- Add bobs and bits to make openSUSE builds happy

* Mon Nov 13 2017 Neal Gompa <ngompa@datto.com> - 0.1.2
- Revise build-time dependencies to be cross-distribution
- Add missing runtime dependencies
- Wrap the description correctly

* Mon Nov 13 2017 Mark Bluemer <mbluemer@datto.com> - 0.1.1
- Add ghost configuration file for auth information

* Fri Nov 10 2017 Mark Bluemer <mbluemer@datto.com> - 0.1.0
- Inital Packaging

